SDL_GL_GetAttribute(3)

NAME
SDL_GL_GetAttribute - Get the actual value for an attribute from the current context.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_GL_GetAttribute(SDL_GLAttr attr, int *value);

FUNCTION PARAMETERS

attr
    an SDL_GLAttr enum value specifying the OpenGL attribute to get.

value
    a pointer filled in with the current value of attr.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GL_ResetAttributes(3), SDL_GL_SetAttribute(3)